package com.ruoyi.app.mapper;

import com.ruoyi.app.domain.AppVehicle;
import com.ruoyi.app.domain.DAO.AppVehicleInfo;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author ruoyi
 * @date 2025-01-15
 */
public interface AppVehicleMapper
{
    /**
     * 查询【请填写功能名称】
     *
     * @param vehicleId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public AppVehicle selectAppVehicleByVehicleId(String vehicleId);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appVehicle 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<AppVehicle> selectAppVehicleList(AppVehicle appVehicle);

    /**
     * 新增【请填写功能名称】
     *
     * @param appVehicle 【请填写功能名称】
     * @return 结果
     */
    public int insertAppVehicle(AppVehicle appVehicle);

    /**
     * 修改【请填写功能名称】
     *
     * @param appVehicle 【请填写功能名称】
     * @return 结果
     */
    public int updateAppVehicle(AppVehicle appVehicle);

    /**
     * 删除【请填写功能名称】
     *
     * @param vehicleId 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteAppVehicleByVehicleId(String vehicleId);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param vehicleIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAppVehicleByVehicleIds(String[] vehicleIds);

    /**
     * 获取vehicle列表
     *
     * @return 结果
     */
    public List<AppVehicleInfo> selectVehicleList();
}
